[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDockTree.Create

Create - constructor for TDockTree: sets up the DockSite, performs inherited Create and sets default BorderWidth, creates the RootZone for the Tree

## Declaration

Source position: controls.pp line 2226

`public constructor TDockTree.Create(`
`TheDockSite: TWinControl`
`); override;`

## Arguments

`TheDockSite` |  | The window control that is to be the site for docking

## Description

Create - constructor for TDockTree: sets up the DockSite, performs inherited Create and sets default BorderWidth, creates the RootZone for the Tree

Overrides ancestor constructors, may be overridden

## See also

TObject.Create

The latest version of this document can be found at lazarus-ccr.sourceforge.net.